Floor = {}

function Floor:load()
    Floor.xpos = 0
    Floor.ypos = love.graphics.getHeight() - 64 
    Floor.Width = love.graphics.getWidth()
    Floor.Height = 64 
end

function Floor:update(dt)
    if checkCollision(Player.xpos, Player.ypos, Player.Width, Player.Height, Floor.xpos, Floor.ypos, Floor.Width, Floor.Height) then
        Player.Gravity = 0 
        Player.ypos = Floor.ypos - Player.Height 
        Player.isJumping = false 
    end
end

function Floor:draw()
    love.graphics.rectangle("fill", Floor.xpos, Floor.ypos, Floor.Width, Floor.Height)
end