require("Player")
require("Floor")

function love.load()
    love.window.setMode(800, 600, {resizable = false})
    Player:load()
    Floor:load()
end

function love.update(dt)
    Player:update(dt)
    Floor:update(dt)
end

function love.draw()
    Player:draw()
    Floor:draw()
end

function checkCollision(x1, y1, width1, height1, x2, y2, width2, height2)
    if x1 + width1 > x2 and x1 < x2 + width2 and y1 + height1 > y2 and y1 < y2 + height2 then
        return true
    else
        return false
    end
end