Player = {}

function Player:load()
    Player.xpos = 400
    Player.ypos = 300 
    Player.Width = 64 
    Player.Height = 64 
    Player.Speed = 400
    Player.Gravity = 0
    Player.isJumping = true 
end

function Player:update(dt)
    Player.ypos = Player.ypos + Player.Gravity * dt
    Player.Gravity = Player.Gravity + 400 * dt
    if love.keyboard.isDown("up") and Player.isJumping == false then 
        Player.isJumping = true 
        Player.Gravity = -400
    end
    if love.keyboard.isDown("left") then 
        Player.xpos = Player.xpos - Player.Speed * dt 
    end
    if love.keyboard.isDown("right") then 
        Player.xpos = Player.xpos + Player.Speed * dt 
    end
end

function Player:draw()
    love.graphics.rectangle("fill", Player.xpos, Player.ypos, Player.Width, Player.Height)
end